Package org.apache.struts2.interceptor

# Class CheckboxInterceptor

java.lang.Object
org.apache.struts2.interceptor.AbstractInterceptor
org.apache.struts2.interceptor.CheckboxInterceptor

All Implemented Interfaces:
  `Serializable`, `ConditionalInterceptor`, `Interceptor`

public class CheckboxInterceptor extends AbstractInterceptor

Looks for a hidden identification field that specifies the original value of the checkbox. If the checkbox isn't submitted, insert it into the parameters as if it was with the value of 'false'.

- setUncheckedValue - The default value of an unchecked box can be overridden by setting the 'uncheckedValue' property.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CheckboxInterceptor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `intercept(ActionInvocation ai)`
  Override to handle interception
  `void`
  `setUncheckedValue(String uncheckedValue)`
  Overrides the default value for an unchecked checkbox

  ### Methods inherited from class org.apache.struts2.interceptor.AbstractInterceptor

  `destroy, init, setDisabled, shouldIntercept`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CheckboxInterceptor

    public CheckboxInterceptor()

- ## Method Details

  - ### intercept

    public String intercept(ActionInvocation ai) throws Exception
    Description copied from class: `AbstractInterceptor`
    Override to handle interception
    Specified by:
      `intercept` in interface `Interceptor`
    Specified by:
      `intercept` in class `AbstractInterceptor`
    Parameters:
      `ai` - the action invocation
    Returns:
      the return code, either returned from `ActionInvocation.invoke()`, or from the interceptor itself.
    Throws:
      `Exception` - any system-level error, as defined in `Action.execute()`.

  - ### setUncheckedValue

    public void setUncheckedValue(String uncheckedValue)
    Overrides the default value for an unchecked checkbox
    Parameters:
      `uncheckedValue` - The uncheckedValue to set